Loading...
Searching...
No Matches
psi

## Detailed Description

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Examples
  convect.cc, convect2.cc, convect_error.cc, streamf_cavity.cc, streamf_cavity.icc, streamf_contraction.cc, streamf_obstacle_slip_move.cc, and transport_dg.cc.

Definition at line 34 of file interpolate_RTk_polynom.icc.

## Public Member Functions

point | operator() (const point &x) const
Float | div (const point &x) const
| psi (char hat_K_name1, size_t i1)

## Static Public Member Functions

static size_t | n_index (char hat_K_name, size_t k)

## Public Attributes

const char | hat_K_name
const size_t | i

## Constructor & Destructor Documentation

## psi()

psi | ( | char | hat_K_name1,
|  | size_t | i1
| ) |  |

Definition at line 109 of file interpolate_RTk_polynom.icc.

## Member Function Documentation

## operator()()

point operator() | ( | const point & | x | ) | const

Definition at line 35 of file interpolate_RTk_polynom.icc.

## div()

Float div | ( | const point & | x | ) | const

Definition at line 72 of file interpolate_RTk_polynom.icc.

## n_index()

static size_t n_index | ( | char | hat_K_name,
|  | size_t | k
| ) |  |

static

Definition at line 110 of file interpolate_RTk_polynom.icc.

## Member Data Documentation

## hat_K_name

const char hat_K_name

Definition at line 115 of file interpolate_RTk_polynom.icc.

## i

const size_t i

Definition at line 115 of file interpolate_RTk_polynom.icc.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/interpolate_RTk_polynom.icc